Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

how to upgrade the spa122 firwmare to 1.2.1(004) using configurtion file

Hello, 

Highly appreciate if anyone can let me know how to define the upgrade rule in configruation file to upgrade the firmware to 1.2.1(004) -

is it ok if I define it in upgrade rule as below

<Upgrade_Rule>  (!1.2.1(004))?http://10.1.1.1/SPA112_SPA122_1.2.1_FW.bin  </Upgrade_Rule>

if not, what is the correct one

Regards,

Denning               

  • ATAs Gateways and Accessories
Everyone's tags (3)
4 REPLIES
VIP Gold

how to upgrade the spa122 firwmare to 1.2.1(004) using configurt

Yes, it's old legacy syntax. The recommended syntax is:

...Rule> ($SWVER != 1.2.1(004))?http ...

Unfortunately, such type of conditional doesn't work reliable most times for me (althougth I didn't tested the particular one from your example).

I don't know why.

I suspect, that firmware numbers like 7.4.9c or 7.5.2b may be source of problem - Cisco's Provisioning guide claim that version numbers take form of three  non-negative numbers separated by periods followed by optional  alphanuberic string in parthenses. It's not true for some released versions. May be, the comparsion logic doesn't handle those broken version numbers correctly.

New Member

how to upgrade the spa122 firwmare to 1.2.1(004) using configurt

Would the value maybe be

($SWVER != 1.2.1.004)

That is the firmware version it says when you go in via IVR and do a 150#

New Member

how to upgrade the spa122 firwmare to 1.2.1(004) using configurt

From brief experience with this firmware; this rule seems to work:

($SWVER ne 1.2.1)?http://provisioning-server/SPA1xx.bin

Also, by looking at http://SPA122.local/admin/config.xml

Towards the end of the XML config:

1.2.1

004

SPA122

My take is that $SWVER would expand to

Regards

VIP Gold

Re: how to upgrade the spa122 firwmare to 1.2.1(004) using confi

before upgrade: SWVER=1.0.1(022)

after upgrade:    SWVER=1.2.1(004)

1244
Views
0
Helpful
4
Replies